# KnownPermissionGroup

Represents a pre-defined group of permissions for a Security Token

## Hierarchy

↳ [PermissionGroup](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/classes/permissiongroup)

↳ **KnownPermissionGroup**

## Index

### Properties

* [context](#protected-context)
* [ticker](#ticker)
* [type](#type)
* [uuid](#uuid)

### Methods

* [exists](#exists)
* [getPermissions](#getpermissions)
* [isEqual](#isequal)
* [toJson](#tojson)
* [generateUuid](#static-generateuuid)
* [unserialize](#static-unserialize)

## Properties

### `Protected` context

• **context**: [*Context*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/classes/context)

*Inherited from* [*Entity*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/classes/entity)*.*[*context*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/entity#protected-context)

*Defined in* [*src/api/entities/Entity.ts:48*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/Entity.ts#L48)

***

### ticker

• **ticker**: *string*

*Inherited from* [*PermissionGroup*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/classes/permissiongroup)*.*[*ticker*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/permissiongroup#ticker)

*Defined in* [*src/api/entities/PermissionGroup.ts:27*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/PermissionGroup.ts#L27)

***

### type

• **type**: [*PermissionGroupType*](https://github.com/PolymathNetwork/polymesh-sdk/blob/docs/v12/docs/enums/permissiongrouptype.md)

*Defined in* [*src/api/entities/KnownPermissionGroup.ts:30*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/KnownPermissionGroup.ts#L30)

***

### uuid

• **uuid**: *string*

*Inherited from* [*Entity*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/classes/entity)*.*[*uuid*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/entity#uuid)

*Defined in* [*src/api/entities/Entity.ts:46*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/Entity.ts#L46)

## Methods

### exists

▸ **exists**(): *Promise‹boolean›*

*Overrides* [*Entity*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/classes/entity)*.*[*exists*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/entity#abstract-exists)

*Defined in* [*src/api/entities/KnownPermissionGroup.ts:90*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/KnownPermissionGroup.ts#L90)

Determine whether this Known Permission Group exists on chain

**Returns:** *Promise‹boolean›*

***

### getPermissions

▸ **getPermissions**(): *Promise‹*[*GroupPermissions*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/globals#grouppermissions)*›*

*Overrides* [*PermissionGroup*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/classes/permissiongroup)*.*[*getPermissions*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/permissiongroup#abstract-getpermissions)

*Defined in* [*src/api/entities/KnownPermissionGroup.ts:46*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/KnownPermissionGroup.ts#L46)

Retrieve the Permissions associated with this Permission Group

**Returns:** *Promise‹*[*GroupPermissions*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/globals#grouppermissions)*›*

***

### isEqual

▸ **isEqual**(`entity`: [Entity](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/classes/entity)‹unknown, unknown›): *boolean*

*Inherited from* [*Entity*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/classes/entity)*.*[*isEqual*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/entity#isequal)

*Defined in* [*src/api/entities/Entity.ts:61*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/Entity.ts#L61)

Determine whether this Entity is the same as another one

**Parameters:**

| Name     | Type                                                                                                              |
| -------- | ----------------------------------------------------------------------------------------------------------------- |
| `entity` | [Entity](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/classes/entity)‹unknown, unknown› |

**Returns:** *boolean*

***

### toJson

▸ **toJson**(): *HumanReadable*

*Overrides* [*Entity*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/classes/entity)*.*[*toJson*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/entity#abstract-tojson)

*Defined in* [*src/api/entities/KnownPermissionGroup.ts:97*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/KnownPermissionGroup.ts#L97)

Return the KnownPermissionGroup's static data

**Returns:** *HumanReadable*

***

### `Static` generateUuid

▸ **generateUuid**‹**Identifiers**›(`identifiers`: Identifiers): *string*

*Inherited from* [*Entity*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/classes/entity)*.*[*generateUuid*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/entity#static-generateuuid)

*Defined in* [*src/api/entities/Entity.ts:14*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/Entity.ts#L14)

Generate the Entity's UUID from its identifying properties

**Type parameters:**

▪ **Identifiers**

**Parameters:**

| Name          | Type        | Description |
| ------------- | ----------- | ----------- |
| `identifiers` | Identifiers |             |

**Returns:** *string*

***

### `Static` unserialize

▸ **unserialize**‹**Identifiers**›(`serialized`: string): *Identifiers*

*Inherited from* [*Entity*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/classes/entity)*.*[*unserialize*](https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/entity#static-unserialize)

*Defined in* [*src/api/entities/Entity.ts:23*](https://github.com/PolymathNetwork/polymesh-sdk/blob/44d12f59/src/api/entities/Entity.ts#L23)

Unserialize a UUID into its Unique Identifiers

**Type parameters:**

▪ **Identifiers**

**Parameters:**

| Name         | Type   | Description         |
| ------------ | ------ | ------------------- |
| `serialized` | string | UUID to unserialize |

**Returns:** *Identifiers*


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.polymath.network/polymesh-sdk-api-reference/v12.0.2/classes/knownpermissiongroup.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
